ADM-ORDER-551 - Retrieve logistic orders (with filters)

Retrieves logistic orders with optional filters.
Allows filtering by blocking status, policy type, account, and creation date range.

⚠️ Endpoint maintained as POST for compatibility—will be switched to GET in future version.
⚠️ Accessible only when dj-client header is OPERATOR.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
integer
≥ 0
Defaults to 0

Zero-based page index (0..N)

integer
≥ 1
Defaults to 20

The size of the page to be returned

sort
array of strings

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

sort
int32
0 to 40
Defaults to 40
Body Params
accountCustomFieldValueCriteria
array of objects

Filter by account-level custom fields and their values.

accountCustomFieldValueCriteria
boolean

Filter orders that are currently blocked by a buying policy.
If true, only blocked orders are returned.
If false or not set, this filter is not applied.

blockingPolicyTypes
array of strings

Filters orders that are blocked by one or more specified buying policies.
If provided, only orders with a matching BLOCKED_BY_POLICY status and listed policy types will be returned.

date-time

Start of the order creation date range.

date-time

End of the order creation date range.

customerAccountIds
array of strings

Filter by one or more Customer Account IDs.

customerAccountIds
customerUserIds
array of strings

Filter by one or more Customer User IDs.

customerUserIds
boolean

Filter orders that are marked as incidents.

string

Filter orders by locale (language/country code).

logisticStatus
array of objects

Filter by one or more logistic order statuses.

offerCustomFieldValueCriteria
array of objects

Filter by offer-level custom fields and their values

offerCustomFieldValueCriteria
string

Filter by the internal or external order identifier.

orderLogisticCustomFieldValueCriteria
array of objects

Filter by order-level custom fields and their values.

orderLogisticCustomFieldValueCriteria
boolean

Filter orders that contain internal messages or comments.

string

Filter by the organisation identifier that issued the order.

paymentOptions
array of objects

Filter orders by available payment methods.

paymentStatus
array of objects

Filter by one or more payment statuses.

supplierIds
array of strings

Filter by one or more supplier IDs.

supplierIds
number

Filter orders with a total price below or equal to this amount.

number

Filter orders with a total price above or equal to this amount.

date-time

Start of the order update date range.

date-time

End of the order update date range.

Headers
string
enum
required

Specifies the client type making the request.

  • OPERATOR: Platform operator user.

  • ACCOUNT: Customer account user.

  • SUPPLIER: Supplier managing orders.

Allowed:
string
required

API key required for authentication. Must be valid and linked to the requesting user.

string

(Optional) Store ID in multi-store environments.

string

(Optional) Store view ID in multi-store environments.

Response

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
*/*